XenDirect University of Belize API Dashboard

Version 2.8.0

Resources:

PaymentCollection DELETE PATCH PUT POST GET /payments

Request Body:

Loading...

Response:

PaymentCollection represents payment actions.

License level required: UBOnly


put
Backwards-compatible alias for clients already using PUT /payments.
required string clientID
required numeric amount
optional string invoiceNumber
optional numeric branchID (default: 1)
optional string trackingNumber
optional string itemDescription (default: API Payment)
optional boolean _body (default: true)
post
Inserts a Payment.

If invoiceNumber is supplied, the payment is applied to that invoice.

If invoiceNumber is omitted, a ClientInvoice and ClientInvoiceItem are created first, then the payment is applied to the new invoice.

required string clientID
Required. Existing client number.
required numeric amount
Required. Payment amount.
optional string invoiceNumber
Optional. Existing invoice number to apply payment to.
optional numeric branchID (default: 1)
Optional. Defaults to 1. Used for generated invoices and receipt numbering.
optional string trackingNumber
Optional. Payment tracking/reference number.
optional string itemDescription (default: API Payment)
Optional. Description for generated ClientInvoiceItem when invoiceNumber is omitted.
optional boolean _body (default: true)
Pass false to prevent the return of resource data. Instead of a 200 with data, you will receive an empty 204 on success.

InvoiceCollection DELETE PATCH PUT POST GET /invoices

Request Body:

Loading...

Response:

InvoiceCollection represents a PagedCollection of InvoiceModels.

License level required: UBOnly


get
Get a collection of invoices.

Returns a PagedCollection containing InvoiceModels.

optional string invoiceNumber
optional string clientID
optional string lastName
optional string firstName
optional numeric _offset (default: 0)
Pagination: the number of records to skip relative to the requested sort order
optional numeric _limit (default: 25)
Pagination: the maximum number of records to return
optional boolean _cached (default: true)
Pass false to bypass caching and force a data refresh. It is recommended that you do not use this option unless you absolutely need up-to-the-minute data, due to the potential degradation of API performance.

InvoiceResource DELETE PATCH PUT POST GET /invoice/{invID}

URI Tokens: (required)

Request Body:

Loading...

Response:

InvoiceResource represents a single InvoiceModel.

License level required: Full Access


get
Returns a single ClientModel.
required numeric invID
optional boolean _cached (default: true)
Pass false to bypass caching and force a data refresh. It is recommended that you do not use this option unless you absolutely need up-to-the-minute data, due to the potential degradation of API performance.

ClientResource DELETE PATCH PUT POST GET /clients/{cliID}

URI Tokens: (required)

Request Body:

Loading...

Response:

ClientResource represents a single ClientModel.

License level required: Full Access


get
Returns a single ClientModel.
required numeric cliID
optional boolean _cached (default: true)
Pass false to bypass caching and force a data refresh. It is recommended that you do not use this option unless you absolutely need up-to-the-minute data, due to the potential degradation of API performance.

ClientCollection DELETE PATCH PUT POST GET /clients

Request Body:

Loading...

Response:

ClientCollection represents a PagedCollection of ClientModels.

License level required: Full Access


get
Get a collection of clients.

Returns a PagedCollection containing ClientModels.

optional string userName
optional string clientID
optional string lastName
optional string firstName
optional numeric branchID
optional numeric _offset (default: 0)
Pagination: the number of records to skip relative to the requested sort order
optional numeric _limit (default: 25)
Pagination: the maximum number of records to return
optional boolean _cached (default: true)
Pass false to bypass caching and force a data refresh. It is recommended that you do not use this option unless you absolutely need up-to-the-minute data, due to the potential degradation of API performance.

BranchResource DELETE PATCH PUT POST GET /branches/{branchID}

URI Tokens: (required)

Request Body:

Loading...

Response:

BranchResource represents a single BranchModel.

License level required: Full Access


get
Returns a single BranchModel.
required numeric branchID
optional boolean _cached (default: true)
Pass false to bypass caching and force a data refresh. It is recommended that you do not use this option unless you absolutely need up-to-the-minute data, due to the potential degradation of API performance.

BranchCollection DELETE PATCH PUT POST GET /branches

Request Body:

Loading...

Response:

BranchCollection represents a PagedCollection of BranchModels.

License level required: Full Access


get
Get a collection of branches.

Returns a PagedCollection containing BranchModels.

optional numeric branchID
optional string braName
optional numeric _offset (default: 0)
Pagination: the number of records to skip relative to the requested sort order
optional numeric _limit (default: 25)
Pagination: the maximum number of records to return
optional boolean _cached (default: true)
Pass false to bypass caching and force a data refresh. It is recommended that you do not use this option unless you absolutely need up-to-the-minute data, due to the potential degradation of API performance.

AuthenticationResource DELETE PATCH PUT POST GET /authentication

Request Body:

Loading...

Response:

AuthenticationResource represents an AuthenticationResult. Users must provide API credentials to obtain an authentication token for access to API resources using the post method.

post
Authenticates an API user. Returns an AuthenticationResult containing the token and expiration on success, or error message on failure.
required string apiKey
required numeric organizationId

Resources are listed in matching order. From top to bottom, the first URI to match the request is used.